Skip to content

Datastores

All operations require authentication.

19 operationsv1/dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List vSAN datastoresProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan

Path parameters

clusterId
required
integer

Id of the cluster

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses clusterId = 0, datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a vSAN datastoreProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan/{datastoreId}

Get a vSAN datastore. Returns the vSAN datastore: used, free and provisioned space, connection state and number of virtual machines.

Path parameters

clusterId
required
integer

Id of the cluster

datacenterId
required
integer

Id of the Datacenter

datastoreId
required
integer

Id of the vsan datastore.

serviceName
required
string

Domain of the service

Response

200VsanDatastoresuccessful operation
clusterId
read-only
integer

Id of Cluster.

connectionState
read-only
ConnexionStateEnum

Datastore connection state.

Valuesofflineonline
datacenterId
read-only
integer

Id of the datacenter.

datastoreId
read-only
integer

Id of the vsan datastore.

datastoreName
read-only
string

Name of the datastore.

spaceFree
read-only
number

Available space of this datastore, in GB

spaceProvisioned
read-only
number

Provisioned space of this datastore, in GB

spaceUsed
read-only
number

Used Space of this datastore, in GB

vmTotal
read-only
integer

Number of virtual machine on the datastore

Example uses clusterId = 0, datacenterId = 0, datastoreId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan/{datastoreId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "clusterId": 0, "connectionState": "offline", "datacenterId": 0, "datastoreId": 0, "datastoreName": "string", "spaceFree": 0, "spaceProvisioned": 0, "spaceUsed": 0, "vmTotal": 0}

List datastoresProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a datastoreProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}

Get a datastore. Returns the datastore: profile, size, used, free and provisioned space, state and number of virtual machines.

Path parameters

datacenterId
required
integer

Id of the Datacenter

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200Filersuccessful operation
activeNode
read-only
NodeTypeEnum

Filer active node.

Valuesmasterslave
billingType
read-only
BillingTypeEnum

Billing type of this filer

ValuesfreeSparehourlymonthlyundefined
connectionState
read-only
ConnexionStateEnum

Filer connexion state.

Valuesofflineonline
filerId
read-only
integer

Filer Id

fullProfile
read-only
string

Human-Readable profile name

isManagedByOvh
read-only
boolean

Filer accessibility (if true, customer cannot access it)

master
read-only
string

Filer master node hostname.

name
read-only
string

Filer name

profile
read-only
string

Commercial profile name

resourceName
read-only
string

Resource name

size
read-only
UnitAndValue_long

Filer capacity

slave
read-only
string

Filer slave node hostname.

spaceFree
read-only
number

Available space of this datastore, in GB

spaceProvisionned
read-only
number

Provisionned space of this datastore, in GB

spaceUsed
read-only
number

Used Space of this filer, in GB

state
read-only
StateEnum

State of the filer

Valuesaddingdeliverederrorremovingunknown
vmTotal
read-only
integer

Number of virtual machine on the filer

Example uses datacenterId = 0, filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activeNode": "master", "billingType": "freeSpare", "connectionState": "offline", "filerId": 0, "fullProfile": "string", "isManagedByOvh": true, "master": "string", "name": "string", "profile": "string", "resourceName": "string", "size": { "unit": "string", "value": 0 }, "slave": "string", "spaceFree": 0, "spaceProvisionned": 0, "spaceUsed": 0, "state": "adding", "vmTotal": 0}

Check if a datastore can become globalProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/checkGlobalCompatible

Check if a datastore can become global. Returns true when the datastore can be converted to a global datastore, mounted on all datacenters.

Path parameters

datacenterId
required
integer

Id of the Datacenter

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200booleansuccessful operation

Example uses datacenterId = 0, filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/checkGlobalCompatible \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Get the datastore consumptionDeprecated

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/hourlyConsumption

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /me/consumption/usage/current instead.

Get the datastore consumption. Returns the hourly consumption of the datastore. Deprecated: use /me/consumption/usage/current instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200HourlyConsumptionsuccessful operation
consumption
UnitAndValue_double

Consumption of the Filer

lastUpdate
stringdate-time

Last update

Example uses datacenterId = 0, filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/hourlyConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "consumption": { "unit": "string", "value": 0 }, "lastUpdate": "2024-01-01T12:00:00Z"}

Get the datastore locationProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/location

Get the datastore location. Returns the datacenter, room and rack of the datastore. Choose the master or slave node with node, master by default.

Path parameters

datacenterId
required
integer

Id of the Datacenter

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Query parameters

node
NodeTypeEnum

Filer cluster node used to get location (default value: master)

Valuesmasterslave

Response

200Locationsuccessful operation
datacenter
DatacenterEnum

Datacenter of the Filer.

Valuesbhs1bhs2bhs3bhs4bhs5bhs6bhs7bhs8cch01crx1crx2dc1eri1eri2frcrx41frcrx42frcrx43gra04gra1gra2gra3gswhdf01hil1ieb01itbsi01itmil01itzvf01lil1-int1lim1lim2lim3mr901p19rbxrbx-hzrbx1rbx10rbx2rbx3rbx4rbx5rbx6rbx7rbx8rbx9sbg1sbg2sbg3sbg4sbg5sgp02sgp1syd03syd1syd2vin1waw1ynm1yyz01
rack
string

Rack of the slave Filer.

room
string

Room of the Filer.

Example uses datacenterId = 0, filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/location \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "datacenter": "bhs1", "rack": "string", "room": "string"}

List orderable datastore profilesProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderableFilerProfiles

List orderable datastore profiles. Returns the datastore profiles that can be ordered in the datacenter, with their size.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Profile[]successful operation
fullName
string

Human-Readable name

name
string

Commercial name

size
UnitAndValue_long

A numeric value tagged with its unit

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderableFilerProfiles \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "fullName": "string", "name": "string", "size": { "unit": "string", "value": 0 } }]

List global datastoresProduction

GET
/v1/dedicatedCloud/{serviceName}/filer

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/filer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a datastoreProduction

GET
/v1/dedicatedCloud/{serviceName}/filer/{filerId}

Get a datastore. Returns the datastore: profile, size, used, free and provisioned space, state and number of virtual machines.

Path parameters

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200Filersuccessful operation
activeNode
read-only
NodeTypeEnum

Filer active node.

Valuesmasterslave
billingType
read-only
BillingTypeEnum

Billing type of this filer

ValuesfreeSparehourlymonthlyundefined
connectionState
read-only
ConnexionStateEnum

Filer connexion state.

Valuesofflineonline
filerId
read-only
integer

Filer Id

fullProfile
read-only
string

Human-Readable profile name

isManagedByOvh
read-only
boolean

Filer accessibility (if true, customer cannot access it)

master
read-only
string

Filer master node hostname.

name
read-only
string

Filer name

profile
read-only
string

Commercial profile name

resourceName
read-only
string

Resource name

size
read-only
UnitAndValue_long

Filer capacity

slave
read-only
string

Filer slave node hostname.

spaceFree
read-only
number

Available space of this datastore, in GB

spaceProvisionned
read-only
number

Provisionned space of this datastore, in GB

spaceUsed
read-only
number

Used Space of this filer, in GB

state
read-only
StateEnum

State of the filer

Valuesaddingdeliverederrorremovingunknown
vmTotal
read-only
integer

Number of virtual machine on the filer

Example uses filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/filer/{filerId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activeNode": "master", "billingType": "freeSpare", "connectionState": "offline", "filerId": 0, "fullProfile": "string", "isManagedByOvh": true, "master": "string", "name": "string", "profile": "string", "resourceName": "string", "size": { "unit": "string", "value": 0 }, "slave": "string", "spaceFree": 0, "spaceProvisionned": 0, "spaceUsed": 0, "state": "adding", "vmTotal": 0}

Check if a datastore can become globalProduction

GET
/v1/dedicatedCloud/{serviceName}/filer/{filerId}/checkGlobalCompatible

Check if a datastore can become global. Returns true when the datastore can be converted to a global datastore, mounted on all datacenters.

Path parameters

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200booleansuccessful operation

Example uses filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/filer/{filerId}/checkGlobalCompatible \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Get the datastore consumptionDeprecated

GET
/v1/dedicatedCloud/{serviceName}/filer/{filerId}/hourlyConsumption

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /me/consumption/usage/current instead.

Get the datastore consumption. Returns the hourly consumption of the datastore. Deprecated: use /me/consumption/usage/current instead.

Path parameters

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200HourlyConsumptionsuccessful operation
consumption
UnitAndValue_double

Consumption of the Filer

lastUpdate
stringdate-time

Last update

Example uses filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/filer/{filerId}/hourlyConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "consumption": { "unit": "string", "value": 0 }, "lastUpdate": "2024-01-01T12:00:00Z"}

Get the datastore locationProduction

GET
/v1/dedicatedCloud/{serviceName}/filer/{filerId}/location

Get the datastore location. Returns the datacenter, room and rack of the datastore. Choose the master or slave node with node, master by default.

Path parameters

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Query parameters

node
NodeTypeEnum

Filer cluster node used to get location (default value: master)

Valuesmasterslave

Response

200Locationsuccessful operation
datacenter
DatacenterEnum

Datacenter of the Filer.

Valuesbhs1bhs2bhs3bhs4bhs5bhs6bhs7bhs8cch01crx1crx2dc1eri1eri2frcrx41frcrx42frcrx43gra04gra1gra2gra3gswhdf01hil1ieb01itbsi01itmil01itzvf01lil1-int1lim1lim2lim3mr901p19rbxrbx-hzrbx1rbx10rbx2rbx3rbx4rbx5rbx6rbx7rbx8rbx9sbg1sbg2sbg3sbg4sbg5sgp02sgp1syd03syd1syd2vin1waw1ynm1yyz01
rack
string

Rack of the slave Filer.

room
string

Room of the Filer.

Example uses filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/filer/{filerId}/location \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "datacenter": "bhs1", "rack": "string", "room": "string"}

Convert a datastore to globalProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/convertToGlobal

Convert a datastore to global. Converts the datastore to a global datastore, mounted on all datacenters of the service. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/convertToGlobal \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Remove a datastoreProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/remove

Remove a datastore. Removes the datastore and its data: move the virtual machines first. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/remove \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Order an hourly datastoreProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderNewFilerHourly

Order an hourly datastore. Orders a datastore billed by the hour with the given profile. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

name
required
string

Filer profile you want to order

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderNewFilerHourly \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Convert a datastore to globalProduction

POST
/v1/dedicatedCloud/{serviceName}/filer/{filerId}/convertToGlobal

Convert a datastore to global. Converts the datastore to a global datastore, mounted on all datacenters of the service. Returns a task to track progress.

Path parameters

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/filer/{filerId}/convertToGlobal \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Remove a datastoreProduction

POST
/v1/dedicatedCloud/{serviceName}/filer/{filerId}/remove

Remove a datastore. Removes the datastore and its data: move the virtual machines first. Returns a task to track progress.

Path parameters

filerId
required
integer

Filer Id

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses filerId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/filer/{filerId}/remove \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Order an hourly global datastoreProduction

POST
/v1/dedicatedCloud/{serviceName}/orderNewFilerHourly

Order an hourly global datastore. Orders a datastore billed by the hour, mounted on all datacenters of the service. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

name
required
string

Filer profile you want to order

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/orderNewFilerHourly \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}